<script>

	
	function NuevoAbono(numfac) {
			parent.location.href="NuevoAbono.php?numfac=" + numfac;
		}



function chk_aplicacion(numfac,monabo,aplnot,numlinea)
			{
   	posicion=(numlinea*18)-60;
   	parent.document.form_busqueda.numfac.value=numfac; 
	parent.document.form_busqueda.aplnot.value=aplnot;
  	parent.document.form_busqueda.monabo.value=monabo;
	parent.document.form_busqueda.posicion.value=posicion;
	parent.document.getElementById("form_busqueda").submit();
	var elmnt = document.getElementById("xdetalleAW");  // NOMBRE DEL DIV DONDE PERTENECE EL SCROLL 
    elmnt.scrollLeft=posicion; 
    elmnt.scrollTop =posicion;
 
		}



function validar_monto(salact,monabo)
			{
	if (monabo < salact ){

		alert("Atencion, el abono es mayor que el saldo ")
			
			} else {
				alert("Atencion, el abono es memor al saldo:\n\n"+monabo);
	
				}
		}
				///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////
		

        ///////////////////////////   FUNCION CHEQUEAR FACTURA  ///////////////////////



salact=""
monabo=""
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
        validar_Monto(salact,monabo);		//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)


	
	function pon_prefijo(baseporpagar,basetotpago) {
	parent.document.form_busqueda.saldoporpagar.value=baseporpagar;		
	parent.document.form_busqueda.totalpago.value=basetotpago;
	parent.document.form_busqueda.monabo.value="0.00";
	parent.document.form_busqueda.pagacon.value="0.00";
	parent.document.form_busqueda.vuelto.value="0.00";



}

					function inicio() {
    var elmnt = document.getElementById("xdetalleAW");
    var posicion=document.getElementById("posicion").value;
    elmnt.scrollLeft = posicion;
    elmnt.scrollTop = posicion;
}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}



	function ver_notas(cdgpro,numfac) {

		miPopup = window.open("ver_notas.php?cdgpro=" + cdgpro+"&numfac=" + numfac,"miwin","width=750,height=400,scrollbars=yes");
			
}




	function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
</script>

<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
<body onLoad="nobackbutton(); inicio();">
<?php 

include ("../conexion.php");
 $cdgpro = $_POST["cdgpro"];
 $numrec = $_POST["numrec"];
 $precio = $_POST["monabo"];
 $preciototal = str_replace (",","",$precio);
 $numfac = $_POST["numfac"];
 if (!isset($_POST["tazint"])) { $tazint=""; } else  {  $tazint=$_POST["tazint"]; }
 if (!isset($_POST["aplnot"])) { $aplnot=""; } else  {  $aplnot =$_POST["aplnot"]; }
 $posicion = $_POST["posicion"];
 $hoy=date("Y-m-d");
 
 
  	$totabo        =0;
	$basesalfac    =0;
	$baseintereses =0;
	$baseabono     =0;
	$baseabonoint  =0;
	$saldo_total   =0;
	$basetotpago   =0;
    $basetotpago2  =0;
    $baseporpagar  =0;
    $basesaldos    =0;
	
 


?>

<div id="xdetalleAW">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>
<?php	

	if ($aplnot==1){ //////////////////////// si es aplicada a factura ///////////////////////
	
	
	$posicion=0;
		$consulta1 = "DELETE FROM pagos_proveedores_recibos_lineastmp  WHERE numrec ='$numrec' AND cdgpro='$cdgpro'";
		$mysqli->query($consulta1);	
	
			
if ($result = $mysqli->query("SELECT * FROM web_2201 WHERE cdgpro='$cdgpro' AND salact > 0 ORDER BY fecfac ASC" )) {
   $filas = $result->num_rows;
   $result->close();
}

if ($filas > 0 ){

$consulta = "SELECT * FROM web_2201 WHERE cdgpro='$cdgpro' AND salact > 0 ORDER BY fecfac ASC";

if ($resultado = $mysqli->query($consulta)) 
$contador=0;
    while ($fila = $resultado->fetch_assoc()) {	

        $numfac = $fila["numfac"];
        $fecfac = $fila["fecfac"];
        $pladia = $fila["pladia"];
		$salact = $fila["salact"];
		$totfac = $fila["totfac"];
		$fecven = $fila["fecven"];
		$obsfac = $fila["obsfac"];

		$segundos=strtotime($hoy) - strtotime($fecven);
		$dias=intval($segundos/60/60/24);
	
		if 	($dias  > 0 && $tazint  > 0 ) {

		$taza = $tazint/100;
		$interes = $salact*$taza;
		$saldo = $interes/30;
		$monint = $saldo*$dias;
		$intfac = $saldo*$dias;
		} else {
		$monint = 0;
		$intfac = 0;
	}
	
	
	
		if ($preciototal >= ($salact + $monint)){	

	      $saldo_factura = $salact-$salact;
		  $preciototal   = $preciototal-$salact-$monint;
		  $monabo        = $salact;
				
					
	
      	} else if ($preciototal == 0	) {
	    
		   $saldo_factura = $salact;
		   $monabo        = 0;
		   $preciototal   = 0;
		   $monint        = 0;
			
		
		} else {
		
	
		if ($preciototal  >= $monint) {
		
	
		 
		    $saldo_factura = $salact-($preciototal-$monint);
			$monabo = $preciototal-$monint;
		    $preciototal = $preciototal-$preciototal;
	
			} else {
						?>
						<script>
			parent.document.form_busqueda.monabo.value="0.00";
			parent.window.buscar();	
			alert("Verifique el monto del abono no puede ser menor a los intereses");
	 	
		
		
		
		
		
		
				</script>
		<?php


					
		}
		
		}
		
	

		$sel_insertar3="INSERT INTO pagos_proveedores_recibos_lineastmp(numrec,numlinea,salfac,borrado,cdgpro,numfac,totfac,monabo, monint,intfac, fecfac,obsfac) VALUES('$numrec','','$saldo_factura','0','$cdgpro','$numfac','$salact','$monabo' ,'$monint','$intfac','$fecfac','$obsfac')";
	$mysqli->query($sel_insertar3);	
	

	 
		$contador++;
		
			}	} else {
						?>

  <table class="fuente8" width="98%" cellspacing=0 cellpadding=0 border=0>
				<tr>
		<td width="98%" class="mensaje"><?php echo "El Proveedor no tiene facturas pendientes de Pago";?></td>
	      </tr>
  </table>
		<?php
 
	} }






	if ($aplnot==2){ //////////////////////// si es aplicada a factura ///////////////////////
 $numfac=$_POST["numfac"];

				
$consulta = "SELECT * FROM web_2201 WHERE cdgpro='$cdgpro' AND salact > 0 ORDER BY numfac ASC";


if ($resultado = $mysqli->query($consulta)) 
	$contador=0;
    while ($fila = $resultado->fetch_assoc()) {
		

        $numfac_2101 = $fila["numfac"];
        $fecfac      = $fila["fecfac"];
        $pladia      = $fila["pladia"];
		$salact      = $fila["salact"];
		$totfac      = $fila["totfac"];
		$fecven      = $fila["fecven"];
		$obsfac      = $fila["obsfac"];

		
		
		$segundos=strtotime($hoy) - strtotime($fecven);
		$dias=intval($segundos/60/60/24);
	
		if 	($dias  > 0 && $tazint  > 0  ) {
		
		$taza=$tazint/100;
		$interes=$salact*$taza;
		$saldo=$interes/30;
		$interes=$saldo*$dias;
		$monint=$interes;
		$intfac=$interes;
		$total=$salact+$interes;
		} else {
		$monint=0;
		$total=$salact;
		$intfac=0;
	}
	
	$sel_articulos="UPDATE pagos_proveedores_recibos_lineastmp SET intfac='$intfac' WHERE numfac='$numfac_2101'";
	$mysqli->query($sel_articulos);	
	
	
	if ($numfac===$numfac_2101){	

  $precio      = $_POST["monabo"];
 $preciototal = str_replace (",","",$precio);
 $total       = round($total,2);

		
		  if ( $preciototal > $total ){	

	?>
				<script>
			parent.document.form_busqueda.monabo.value="0.00";	
			parent.window.buscar();	
			alert("Verifique el monto del abono no puede MAYOR que el saldo de la factura ddddddd");
		
				</script>
			
		<?php
		
		$monint=0;
		
      	} else if ($preciototal == 0	) {
	    
		   $saldo_factura=$salact;
		 		$monabo=0;
		    $preciototal=0;
			 $monint=0;
			
		
		} else {
		
	
		if ($preciototal  >= $monint) {
		
	
		 
		   $saldo_factura=$salact-($preciototal-$monint);
			$monabo=$preciototal-$monint;
		    $preciototal=$preciototal-$preciototal;
			
			} else {
			?>
				<script>
			parent.document.form_busqueda.monabo.value="0.00";
			parent.window.buscar();	
			alert("Verifique el monto del abono no puede ser menor a los intereses");
	 	
				</script>
		<?php

					
		}
		
		}	
		
	
				
	$sel_articulos_contado="UPDATE pagos_proveedores_recibos_lineastmp SET monabo='$monabo', monint='$monint',salfac='$saldo_factura' WHERE numfac='$numfac_2101'";
	$mysqli->query($sel_articulos_contado);	
 
 
 }
 
		$contador++;

	 	}
 }


		
	  ?>

  <table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php
	
		$sel_lineas="SELECT * FROM pagos_proveedores_recibos_lineastmp WHERE numrec='$numrec' AND cdgpro='$cdgpro' ORDER BY numlinea ASC";
		
		
if ($resultado = $mysqli->query($sel_lineas)) 
$contador=0;
    while ($fila = $resultado->fetch_assoc()) {
		

        $numlinea = $fila["numlinea"];
        $salfac   = $fila["salfac"];
        $numfac   = $fila["numfac"];
		$monabo   = $fila["monabo"];
		$totfac   = $fila["totfac"];
		$monint   = $fila["monint"];
		$intfac   = $fila["intfac"];
		$fecfac   = $fila["fecfac"];
		$obsfac   = $fila["obsfac"];
		
		$fecfac= implode("-", array_reverse(explode("-", $fecfac)));

	
	
	
	$totabo=$monabo+$monint;
	$basesalfac=$basesalfac+$totfac;
	$baseintereses=$baseintereses+$intfac;
	$baseabono=$monabo+$baseabono;
	$baseabonoint=$monint+$baseabonoint;

 	$aplnot=2;  // Devuelve el valor chkbox de aplicar a factura 
	if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } 
	
	
	
	$numfac_2 = ltrim($numfac, '0'); // le quito los ceros que trae a la izquierda
	
	
		$detnot ="";
	 if ($resultado_notas = $mysqli->query("SELECT * FROM notas_proveedores WHERE cdgpro='$cdgpro' AND numfacafe ='$numfac' AND  borrado=0 AND estapli = 1 " )) {
	 

   $filas_notas = $resultado_notas->num_rows;
   
   			//    cambio version   8.0.2 
			
   if ($filas_notas >0){
   
   
    $row_notas = $resultado_notas->fetch_array();
    $detnot = $row_notas["detnot"];   
   $resultado_notas->close();
   
   }
   
   else {$detnot ="";}
   
}


?>



			<?php  if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
				<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >
								
				<td width="7%"><div align="center"><?php echo $numfac?></div></td>
				<td width="9%"><div align="center"><?php echo $fecfac?></div></td>
				<td width="9%"><div align="right"><?php echo number_format($totfac,2,".",",")?></div></td>
				<td width="9%"><div align="right"><?php echo number_format($intfac,2,".",",")?></div></td>
				<td width="10%"><div align="right"><?php echo number_format($monabo,2,".",",")?></div></td>
				<td width="10%"><div align="right"><?php echo number_format($monint,2,".",",")?></div></td>
				<td width="10%"><div align="right"><input type="text" value="<?php echo number_format($totabo,2,".",",") ?>"  name="totabo"  style='text-align:right;' onBlur="chk_aplicacion('<?php echo $numfac ?>', this.value,<?php echo $aplnot?>,<?php echo $numlinea?>)"   maxlength="15" size="8" autocomplete="off"    /> </div></td>
				<td width="10%"><div align="right"><?php echo number_format($salfac,2,".",",")?></div></td>
                  <?php if ($salfac==0){ ?>
                <td width="2%"><input type="checkbox" value="otro" name="valores"  checked onClick="chk_aplicacion('<?php echo $numfac ?>',<?php echo 0 ?>,<?php echo $aplnot?>,<?php echo $numlinea?>)" /> </td>
		       <?php } else { ?>
                <td width="2%"><input type="checkbox" value="otro" name="valores"   onclick="chk_aplicacion('<?php echo $numfac ?>',<?php echo( $totfac + $intfac  )?>,<?php echo $aplnot?>,<?php echo $numlinea?>)" /> </td>
      
	                 <?php 
			
				} ?> 
	  
	                    <?php if ($filas_notas > 0){ ?>
                <td width="2%"><div align="center"><a href="#"><img src="../img/NC.png" width="25" height="25" border="0"onClick="ver_notas('<?php echo $cdgpro ?>','<?php echo $numfac ?>')" title="Visualizar Notas"></a></div></td>
		       <?php } else { ?>
               <td width="2%"></td>     
                
                <?php 
	
				} ?> 
				
			
			
				
				 <td width="18%"><div align="left" title="<?php echo $detnot?>"><?php echo substr($detnot, 0, 25)?> </div></td>
				 
	
	
				 
				 
				 
		    </tr>
			
			
			
			
			
		
<?php 
$basetotpago=$baseabono+$baseabonoint;
$basesaldos=$basesalfac-$baseabono;
$baseporpagar=$basesalfac+$baseintereses;
$basetotpago=number_format($basetotpago,2,".",",");


					if ($result = $mysqli->query("SELECT * FROM pagos_proveedores_recibos_lineastmp   WHERE numrec='$numrec' AND cdgpro='$cdgpro' ")) {
					   $filas = $result->num_rows;
					   $result->close();
					}
					
					$contador++;		
					}




?>


</table>
<blockquote>&nbsp;	</blockquote>
</div>

<div id="ztotalesawrecibos" >
			 <table width="100%" border=0  cellpadding=0 cellspacing=0>
			  <tr>
			    <td width="15%" bgcolor="#FFFFFF" >TOTALES</td>
			    <td width="8%" align="right">&nbsp;</td>
			    <td width="10%" align="right"><input  border="0" name="basesalfac"  class="cajaGrande" type="text" id="basesalfac" style='text-align:right;' value="<?php echo number_format($basesalfac,2,".",",");?>" align="right" readonly></td>
			    <td width="13%" align="right"><input  name="baseintereses" class="cajaGrande" style='text-align:right;' type="text" id="baseintereses"  value="<?php echo number_format($baseintereses,2,".",",");?>" align="right"  border="0" readonly></td>
			    <td width="13%" align="right"><input  name="baseabono"  class="cajaGrande"style='text-align:right;' type="text" id="baseabono"  value="<?php echo number_format($baseabono,2,".",",");?>" align="right" readonly>			      <b></td>
			    <td width="12%"  align="right"><input  name="baseabonoint" type="text" id="baseabonoint"  class="cajaGrande"style='text-align:right;' value="<?php echo number_format($baseabonoint,2,".",".");?>"  align="right" readonly></td>
			    <td width="10%"  align="right"><input   name="basetotpago" class="cajaGrande" style='text-align:right;' type="text" id="basetotpago"  value="<?php echo $basetotpago;?>" readonly></td>
			    <td width="14%"  align="right"><input name="basesaldos" type="text"  class="cajaGrande" id="basesaldos" style='text-align:right;' value="<?php echo number_format($basesaldos,2,".",",");?>" readonly>			    </td>
	              <input name="posicion" type="hidden"  class="cajaGrande" id="posicion" style='text-align:right;' value="<?php echo $posicion?>" readonly>
      </tr>
			</table>
			
				
		 <script languaje="javascript">
pon_prefijo("<?php echo $baseporpagar ?>","<?php echo $basetotpago ?>");</script>
</div> 
</body>
</html>